Storyden
Accounts

Account Manage Update Email Verified Status

Override the verified status of an email address. This is intended for admin and integration driven account management and is not intended to be used for normal verification flows. Requires MANAGE_ACCOUNTS. If the account holds ADMINISTRATOR, the caller must also hold ADMINISTRATOR. The email address must belong to the specified account. No verification email is sent. The account's verified status reflects whether it has a verified email address, unless it has been manually verified.

PATCH
/accounts/{account_id}/emails/{email_address_id}/verified

Override the verified status of an email address. This is intended for admin and integration driven account management and is not intended to be used for normal verification flows. Requires MANAGE_ACCOUNTS. If the account holds ADMINISTRATOR, the caller must also hold ADMINISTRATOR. The email address must belong to the specified account. No verification email is sent. The account's verified status reflects whether it has a verified email address, unless it has been manually verified.

Authorization

cookiestoryden-session<token>

Path Parameters

account_id*string

Account ID.

Formatxid
email_address_id*string

An email address ID associated with the requesting account.

Formatxid

Request Body

application/json
  1. body
verified*boolean

Response Body

OK

application/json
  1. response
id*Identifier

A unique identifier for this resource.

Formatxid
email_address*EmailAddress

A valid email address.

verified*boolean

Is the email address verified to be owned by the account?

Example Request
curl -X PATCH 'https://example.com/api/accounts/string/emails/string/verified' \  -H 'Content-Type: application/json' \  -d '{  "verified": true}'
Example Response
{  "id": "string",  "email_address": "string",  "verified": true}